class Program
  {
    public static int Makroekonomija(int[] tabela) {
      if (tabela.Length == 0) return 0;
      if (tabela.Length == 1) return tabela[0] + 1;
      return (tabela[0] + tabela[tabela.Length - 1]) * Makroekonomija(KrajsajTabelo(tabela));
    }

    //Izdelava nove tabele, ki je za en element krajša od prejšnje
    public static int[] KrajsajTabelo(int[] nova) {
      int[] pomozna = new int[nova.Length - 1]; //definiramo za 1 element krajšo pomožno tabelo
      int st = 0;
      while (st < pomozna.Length) {
        pomozna[st] = nova[st + 1]; //napolnimo novo tabelo s preostalimi elementi prejšnje
        st = st + 1;
      }
      return pomozna; //vrnemo novo, krajšo tabelo
    }

    public static void Main(string[] args) {

      //definiramo vzorčno tabelo celih števil
      int[] podatki = new int[4] {1, 2, 3, 4};

      //izpišemo rezultat in kličemo metodo Makroekonomija
      Console.Write("Rezultat za tabelo [");
      int i;
      for (i = 0; i < podatki.Length - 1; i++) {
        Console.Write(podatki[i] + ", ");
      }
      Console.WriteLine(podatki[podatki.Length - 1] + "] je: " + Makroekonomija(podatki));

      Console.Write("\nTipka za naprej...");
      Console.ReadKey(true);
}
  }
